<!DOCTYPE HTML>
<html>
    <head>
        <title>JavaScript - Reactive DOM with JSON</title>
    </head>
    <body>
        <h2>Add Post</h2>
        <form id="form-add-post">
            <span>Title</span><br>
            <input type="text" id="txt-title"/><br><br>
            <span>Body</span><br>
            <textarea type="text" id="txt-body"></textarea><br><br>
            <button type="submit">Create</button><br><br>
        </form>
        <hr>
        <h2>Edit Post</h2>
        <form id="form-edit-post">
            <input type="text" id="txt-edit-id" hidden/>
            <span>Title</span><br>
            <input type="text" id="txt-edit-title"/><br><br>
            <span>Body</span><br>
            <textarea type="text" id="txt-edit-body"></textarea><br><br>
            <!-- <button type="submit">Update</button><br><br> -->
            <button type="submit" id="btn-submit-update" disabled>Update</button>
        </form>
        <hr>
        <h2>Posts</h2>
        <div id="div-post-entries"></div>
        <script src="./index.js"></script>
    </body>
</html>